Bug 1414051 - New package: openstack-heat-agents
Summary: New package: openstack-heat-agents
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-17 15:47 UTC by Zane Bitter
Modified: 2017-05-03 22:27 UTC (History)
5 users (show)

Fixed In Version: openstack-heat-agents-1.0.1-0.20170224175917.8b7af86.el7.centos
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1447162 (view as bug list)
Environment:
Last Closed: 2017-03-07 08:50:35 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Zane Bitter 2017-01-17 15:47:41 UTC
Proposed spec:
https://fedorapeople.org/~zaneb/openstack-heat-agents/openstack-heat-agents.spec

This is based on the current openstack-heat-templates package, which only packages the agents anyway and will be retired as a package now that we've moved the agents to their own repo.

The "Obsoletes" directive should be versioned, but I'm not sure how to do that when the openstack-heat-templates version was just a git hash? Maybe just obsolete the whole epoch 0 and move to epoch 1 if we ever resurrect openstack-heat-templates? (What would the syntax for that look like?)

Comment 1 Steve Baker 2017-01-23 22:46:31 UTC
Thanks for doing this, here are some comments on the proposed spec

%global commit, can I suggest a49c1f6d5e86004bfef456e2cacda4f0aef09a0c?

Name: how about python-heat-agents, since every subpackage is python-heat-agent-*?

Obsoletes: openstack-heat-templates, maybe this should obsolete version 0.0.1, the RPM versioning is of the form openstack-heat-templates-0.0.1-0.<datestamp>.<githash>. The first release of upstream heat-agents could be 1.0.0 so it would be nice to avoid an Epoch

%files for the main python-heat-agents, this could be empty, and leave it up to the python-heat-agent subpackage to install the LICENSE and README.rst

Comment 2 Zane Bitter 2017-01-23 23:20:39 UTC
OK, I updated the linked spec file

(In reply to Steve Baker from comment #1)
> Thanks for doing this, here are some comments on the proposed spec
> 
> %global commit, can I suggest a49c1f6d5e86004bfef456e2cacda4f0aef09a0c?

Done

> Name: how about python-heat-agents, since every subpackage is
> python-heat-agent-*?

Meh

> Obsoletes: openstack-heat-templates, maybe this should obsolete version
> 0.0.1, the RPM versioning is of the form
> openstack-heat-templates-0.0.1-0.<datestamp>.<githash>. The first release of
> upstream heat-agents could be 1.0.0 so it would be nice to avoid an Epoch

Changed to Obsoletes openstack-heat-templates < 0.0.2

> %files for the main python-heat-agents, this could be empty, and leave it up
> to the python-heat-agent subpackage to install the LICENSE and README.rst

Got rid of the LICENSE (since there's no code in the main package), left the README since that's for the package as a whole (the subpackages actually have their own READMEs, but those are not installed).

Comment 3 Steve Baker 2017-01-24 01:50:12 UTC
lgtm for a first import

Comment 4 Alfredo Moralejo 2017-02-14 15:18:41 UTC
Licence check result:

/.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./.yamllint: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: *No copyright* Apache (v2.0)
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./cfn/README: *No copyright* UNKNOWN
./cfn/aws_asg.template: *No copyright* UNKNOWN
./hot/asg_of_servers.yaml: *No copyright* UNKNOWN
./hot/asg_of_stacks.yaml: *No copyright* UNKNOWN
./hot/autoscaling.yaml: *No copyright* UNKNOWN
./hot/chef-server.yaml: *No copyright* UNKNOWN
./hot/hello_world.yaml: *No copyright* UNKNOWN
./hot/instance_group.yaml: *No copyright* UNKNOWN
./hot/lb_server.yaml: *No copyright* UNKNOWN
./hot/multi_region_hello_world.yaml: *No copyright* UNKNOWN
./hot/native_waitcondition.yaml: *No copyright* UNKNOWN
./hot/server_console.yaml: *No copyright* UNKNOWN
./hot/server_with_encrpyted_volume.yaml: *No copyright* UNKNOWN
./hot/servers_in_existing_neutron_net.yaml: *No copyright* UNKNOWN
./hot/servers_in_existing_neutron_network_no_floating_ips.yaml: *No copyright* UNKNOWN
./hot/servers_in_new_neutron_net.yaml: *No copyright* UNKNOWN
./hot/swift.yaml: *No copyright* UNKNOWN
./hot/vm_with_cinder.yaml: *No copyright* UNKNOWN
./jeos/CentOS-6.3-x86_64-cfntools.tdl: *No copyright* UNKNOWN
./jeos/U10-amd64-cfntools.tdl: *No copyright* UNKNOWN
./jeos/U12.10-amd64-cfntools.tdl: *No copyright* UNKNOWN
./jeos/U12.10-i386-cfntools.tdl: *No copyright* UNKNOWN
./tools/cfn-json2yaml: *No copyright* Apache (v2.0)
./tools/fetch-cloudformation-examples: *No copyright* UNKNOWN
./tools/heat-jeos.sh: *No copyright* UNKNOWN
./tools/post_test_hook.sh: *No copyright* Apache (v2.0)
./tools/validate-templates: *No copyright* UNKNOWN
./cfn/F17/AutoScalingCeilometer.yaml: *No copyright* UNKNOWN
./cfn/F17/EC2WithEBSSample.template: *No copyright* UNKNOWN
./cfn/F17/HAProxy_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/InstanceGroup.template: *No copyright* UNKNOWN
./cfn/F17/MySQL_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/Neutron.template: *No copyright* UNKNOWN
./cfn/F17/Neutron.yaml: *No copyright* UNKNOWN
./cfn/F17/Neutron_floating.template: *No copyright* UNKNOWN
./cfn/F17/PuppetMaster_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/Rails_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/S3_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/Swift.template: *No copyright* UNKNOWN
./cfn/F17/VPN_Service.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_2_Instances.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_2_Instances_With_EBS.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_2_Instances_With_EBS_EIP.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_And_Http.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Composed_Instances.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_NoKey.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance.yaml: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_With_EBS.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_With_EBS_EIP.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_With_EIP.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_With_HA.yaml: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_With_Neutron.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_Single_Instance_gold.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_With_LB.template: *No copyright* UNKNOWN
./cfn/F17/WordPress_With_RDS.template: *No copyright* UNKNOWN
./cfn/F17/getting_started.template: *No copyright* UNKNOWN
./cfn/F18/WordPress_NoKey.yaml: *No copyright* UNKNOWN
./cfn/F18/WordPress_Single_Instance.template: *No copyright* UNKNOWN
./cfn/F19/WordPress_NoKey.yaml: *No copyright* UNKNOWN
./cfn/deb/MultiNode_DevStack.yaml: *No copyright* UNKNOWN
./cfn/deb/WordPress_Single_Instance_deb.template: *No copyright* UNKNOWN
./contrib/rackspace/RackspaceAutoScale.yaml: *No copyright* UNKNOWN
./contrib/rackspace/WordPress_Single_Instance_Rackspace_Cloud_Servers.template: *No copyright* UNKNOWN
./hot/F18/NovaInstanceWithCinderVolume_Native.yaml: *No copyright* UNKNOWN
./hot/F18/WordPress_Native.yaml: *No copyright* UNKNOWN
./hot/F18/WordPress_NoKey.yaml: *No copyright* UNKNOWN
./hot/F20/WordPress_2_Instances.yaml: *No copyright* UNKNOWN
./hot/F20/WordPress_Native.yaml: *No copyright* UNKNOWN
./hot/autohealing/autohealing_group.yaml: *No copyright* UNKNOWN
./hot/autohealing/autohealing_server.yaml: *No copyright* UNKNOWN
./hot/barbican/container_generic.yaml: *No copyright* UNKNOWN
./hot/barbican/order.yaml: *No copyright* UNKNOWN
./hot/barbican/secret.yaml: *No copyright* UNKNOWN
./hot/designate/desginate_domain.yaml: *No copyright* UNKNOWN
./hot/designate/desginate_record.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_domain.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_group.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_project.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_region.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_role.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_service.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_service_endpoint.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_updated.yaml: *No copyright* UNKNOWN
./hot/keystone/keystone_user.yaml: *No copyright* UNKNOWN
./hot/lbaasv2/lb_group.yaml: *No copyright* UNKNOWN
./hot/mistral/nova_networking_server_with_ip_env.yaml: *No copyright* UNKNOWN
./hot/monasca/autoscaling.yaml: *No copyright* UNKNOWN
./hot/nova/host_aggregate.yaml: *No copyright* UNKNOWN
./hot/resource_group/random.yaml: *No copyright* UNKNOWN
./hot/resource_group/resource_group.yaml: *No copyright* UNKNOWN
./hot/resource_group/resource_group_index_lookup.yaml: *No copyright* UNKNOWN
./hot/resource_group/server_with_volumes.yaml: *No copyright* UNKNOWN
./hot/resource_group/volume_with_attachment.yaml: *No copyright* UNKNOWN
./hot/senlin/autoscaled_loadbalancer_cluster.yaml: *No copyright* UNKNOWN
./hot/senlin/cluster.yaml: *No copyright* UNKNOWN
./hot/software-config/README.rst: *No copyright* UNKNOWN
./openshift-origin/F19/README.rst: *No copyright* UNKNOWN
./openshift-origin/centos65/OpenShift-1B1N.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/OpenShift.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/README.rst: *No copyright* UNKNOWN
./tests/software_config/common.py: *No copyright* Apache (v2.0)
./tests/software_config/config-tool-fake.py: *No copyright* Apache (v2.0)
./tests/software_config/hook-fake.py: *No copyright* Apache (v2.0)
./tests/software_config/test_heat_config.py: *No copyright* Apache (v2.0)
./tests/software_config/test_heat_config_docker_compose.py: *No copyright* Apache (v2.0)
./tests/software_config/test_heat_config_kubelet.py: *No copyright* Apache (v2.0)
./tests/software_config/test_heat_config_notify.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_ansible.py: Apache (v2.0)
./tests/software_config/test_hook_apply_config.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_atomic.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_cfn_init.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_chef.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_docker_cmd.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_docker_compose.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_hiera.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_json_file.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_kubelet.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_puppet.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_salt.py: *No copyright* Apache (v2.0)
./tests/software_config/test_hook_script.py: *No copyright* Apache (v2.0)
./cfn/F17/invalid/AutoScalingMultiAZSample.template: *No copyright* UNKNOWN
./cfn/F17/invalid/AutoScalingMultiAZSample.yaml: *No copyright* UNKNOWN
./cfn/F17/invalid/WordPress_Single_Instance_With_HA.template: *No copyright* UNKNOWN
./cfn/F17/invalid/WordPress_Single_Instance_With_HA_AccessPolicy.template: *No copyright* UNKNOWN
./cfn/F17/invalid/WordPress_Single_Instance_With_IHA.template: *No copyright* UNKNOWN
./hot/Windows/ActiveDirectoryController/AD.psm1: Apache (v2.0)
./hot/Windows/ActiveDirectoryController/ActiveDirectoryDomainController.ps1: Apache (v2.0)
./hot/Windows/ActiveDirectoryController/ActiveDirectoryDomainController.yaml: *No copyright* UNKNOWN
./hot/Windows/IIS_Drupal/IIS_Drupal.ps1: Apache (v2.0)
./hot/Windows/IIS_Drupal/IIS_Drupal.psm1: Apache (v2.0)
./hot/Windows/IIS_Drupal/IIS_Drupal.yaml: *No copyright* UNKNOWN
./hot/Windows/MSSQLServer/MSSQL.ps1: Apache (v2.0)
./hot/Windows/MSSQLServer/MSSQL.psm1: Apache (v2.0)
./hot/Windows/MSSQLServer/MSSQL.yaml: *No copyright* UNKNOWN
./hot/Windows/MSSQLServer/heat-powershell-utils.psm1: Apache (v2.0)
./hot/Windows/PuppetAgent/PuppetAgent.ps1: Apache (v2.0)
./hot/Windows/PuppetAgent/PuppetAgent.psm1: Apache (v2.0)
./hot/Windows/PuppetAgent/heat-powershell-utils.psm1: Apache (v2.0)
./hot/Windows/PuppetAgent/puppet-agent.yaml: *No copyright* UNKNOWN
./hot/mistral/templates/autoscaling_using_mistral.yaml: *No copyright* UNKNOWN
./hot/mistral/templates/server_with_ip.yaml: *No copyright* UNKNOWN
./hot/mistral/templates/stack_restarter.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/README.rst: *No copyright* UNKNOWN
./hot/software-config/boot-config/centos7_rdo_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/container_agent_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/fedora_pip_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/fedora_yum_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/none_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/test_image_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/ubuntu_pip_env.yaml: *No copyright* UNKNOWN
./hot/software-config/elements/README.rst: *No copyright* UNKNOWN
./hot/software-config/example-templates/README.rst: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-ansible-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-cfn-init-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-chef-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-cloud-init-configure-ca-cert.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-cloud-init.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-config-pristine-image.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-config-pristine-image_env.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-deploy-sequence.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-docker-compose-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-kubelet-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-os-apply-config-plus-cloud-config.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-os-apply-config.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-pristine-atomic-docker-compose.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-pristine-atomic-docker-compose_env.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-pristine-atomic-tool.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-pristine-atomic-tool_env.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-puppet-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-salt-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-script-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-software-deploymentgroup-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-ssh-copy-id.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-structured-template.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/example-sw-component-template.yaml: *No copyright* UNKNOWN
./hot/software-config/heat-container-agent/Dockerfile: *No copyright* UNKNOWN
./hot/software-config/heat-container-agent/README.rst: *No copyright* UNKNOWN
./hot/software-config/test-image/README.rst: *No copyright* UNKNOWN
./hot/software-config/test-image/build-heat-test-image.sh: *No copyright* Apache (v2.0)
./openshift-origin/F19/aws-template/README.rst: *No copyright* UNKNOWN
./openshift-origin/F19/aws-template/openshift.template: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/README.rst: *No copyright* UNKNOWN
./openshift-origin/centos65/highly-available/README.md: *No copyright* UNKNOWN
./hot/Windows/IIS_Drupal/Common/heat-powershell-utils.psm1: Apache (v2.0)
./hot/Windows/IIS_Drupal/Tests/IIS_Drupal.Tests.ps1: Apache (v2.0)
./hot/Windows/MSSQLServer/Tests/MSSQL.Tests.ps1: Apache (v2.0)
./hot/Windows/PuppetAgent/Tests/PuppetAgent.Tests.ps1: Apache (v2.0)
./hot/software-config/boot-config/templates/install_config_agent_centos7_rdo.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/install_config_agent_fedora_pip.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/install_config_agent_fedora_yum.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/install_config_agent_test_image.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/install_config_agent_ubuntu_pip.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/install_container_agent.yaml: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-ansible/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-ansible/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-apply-config/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-apply-config/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-cfn-init/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-cfn-init/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-chef/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-chef/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-cmd/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-cmd/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-compose/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-compose/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-hiera/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-hiera/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-json-file/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-json-file/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-kubelet/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-kubelet/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-puppet/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-puppet/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-salt/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-salt/element-deps: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-script/README.rst: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-script/element-deps: *No copyright* UNKNOWN
./hot/software-config/example-templates/certificates/ca_1.crt: *No copyright* UNKNOWN
./hot/software-config/example-templates/certificates/ca_2.crt: *No copyright* UNKNOWN
./hot/software-config/example-templates/cirros-example/README.rst: *No copyright* UNKNOWN
./hot/software-config/example-templates/cirros-example/cirros-hello-world.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-ansible-template.ansible: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-ca-certs-config.yml: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-container-config.pod: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-docker-compose.yml: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-puppet-manifest.pp: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-salt-state.sls: *No copyright* UNKNOWN
./hot/software-config/example-templates/config-scripts/example-script.sh: *No copyright* UNKNOWN
./hot/software-config/example-templates/wordpress/WordPress_software-config_1-instance.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/wordpress/WordPress_software-config_2-instances.yaml: *No copyright* UNKNOWN
./hot/software-config/example-templates/wordpress/db_install.sh: *No copyright* UNKNOWN
./hot/software-config/example-templates/wordpress/wp_install.sh: *No copyright* UNKNOWN
./hot/software-config/heat-container-agent/scripts/configure_container_agent.sh: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-broker/README.md: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-broker/element-deps: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-node/README.md: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-node/element-deps: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift/openshift.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-cpu/nodeinstance.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-cpu/openshift.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-cpu-nbgears/nodeinstance.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-cpu-nbgears/openshift.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-nbgears/nodeinstance.yaml: *No copyright* UNKNOWN
./openshift-origin/F19/hot-template/openshift-scalable-nbgears/openshift.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/highly-available/invalid/oso_ha.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/highly-available/invalid/oso_ha_env.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/highly-available/invalid/oso_node.yaml: *No copyright* UNKNOWN
./openshift-origin/centos65/highly-available/invalid/oso_node_env.yaml: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/20-os-apply-config: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/configure_config_agent.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/get_container_agent_image.frag: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/install_config_agent_pip.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/install_config_agent_rdo.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/install_config_agent_yum.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/install_python_build_env_apt.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/install_python_build_env_yum.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/os-collect-config.conf: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/start_config_agent.sh: *No copyright* UNKNOWN
./hot/software-config/boot-config/templates/fragments/start_container_agent.sh: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/bin/heat-config-notify: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config/bin/heat-config-rebuild-deployed: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-ansible/install.d/50-heat-config-hook-ansible: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-ansible/install.d/hook-ansible.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-apply-config/install.d/50-heat-config-apply-config: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-apply-config/install.d/hook-apply-config.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-cfn-init/install.d/50-heat-config-hook-cfn-init: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-cfn-init/install.d/hook-cfn-init.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-chef/install.d/50-heat-config-hook-chef: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-chef/install.d/hook-chef.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-docker-cmd/install.d/50-heat-config-hook-docker-cmd: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-cmd/install.d/hook-docker-cmd.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-docker-compose/install.d/50-heat-config-hook-docker-compose: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-docker-compose/install.d/hook-docker-compose.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-hiera/install.d/50-heat-config-hook-hiera: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-hiera/install.d/hook-hiera.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-json-file/install.d/50-heat-config-hook-json-file: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-json-file/install.d/hook-json-file.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-kubelet/extra-data.d/50-docker-images: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-kubelet/install.d/50-heat-config-kubelet: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-kubelet/install.d/hook-kubelet.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-puppet/install.d/50-heat-config-hook-puppet: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-puppet/install.d/hook-puppet.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-salt/install.d/50-heat-config-hook-salt: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-salt/install.d/hook-salt.py: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-script/install.d/50-heat-config-hook-script: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config-script/install.d/hook-script.py: *No copyright* Apache (v2.0)
./hot/software-config/example-templates/cirros-example/init.d/heat-deploy-hook: *No copyright* UNKNOWN
./hot/software-config/heat-container-agent/scripts/hooks/atomic: *No copyright* Apache (v2.0)
./hot/software-config/test-image/elements/centos7-heat-test/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/centos7-heat-test/element-deps: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/centos7-heat-test/package-installs.yaml: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/centos7-heat-test/pkg-map: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/fedora-heat-test/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/fedora-heat-test/element-deps: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-agent-pkg-requires/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-agent-pkg-requires/element-deps: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-agent-pkg-requires/package-installs.yaml: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-agent-pkg-requires/pkg-map: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-config-hook-requires/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-config-hook-requires/element-deps: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-config-hook-requires/package-installs.yaml: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/heat-config-hook-requires/pkg-map: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/python-dev/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/python-dev/element-deps: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/python-dev/package-installs.yaml: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/python-dev/pkg-map: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/ubuntu-heat-test/README.md: *No copyright* UNKNOWN
./hot/software-config/test-image/elements/ubuntu-heat-test/element-deps: *No copyright* UNKNOWN
./openshift-origin/F19/elements/heat-cfntools/install.d/05-heat-cfntools: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-broker/install.d/30-openshift-origin-broker: *No copyright* UNKNOWN
./openshift-origin/F19/elements/openshift-origin-node/install.d/30-openshift-origin-node: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/install.d/heat-config-package-install/50-heat-config-package: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/install.d/heat-config-source-install/50-heat-config-soure: *No copyright* UNKNOWN
./hot/software-config/elements/heat-config/os-refresh-config/configure.d/55-heat-config: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-docker-cmd/os-refresh-config/configure.d/50-heat-config-docker-cmd: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-docker-compose/os-refresh-config/configure.d/50-heat-config-docker-compose: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config-kubelet/os-refresh-config/configure.d/50-heat-config-kubelet: *No copyright* Apache (v2.0)
./hot/software-config/elements/heat-config/os-apply-config/var/run/heat-config/heat-config: *No copyright* UNKNOWN


It's valid Apache v2.0 license

Comment 5 Alfredo Moralejo 2017-02-14 15:23:49 UTC
Licensecheck in comment #4 is wrong. Right one:

./.gitreview: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: *No copyright* Apache (v2.0)
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./heat-config/README.rst: *No copyright* UNKNOWN
./heat-config/element-deps: *No copyright* UNKNOWN
./heat-config-ansible/README.rst: *No copyright* UNKNOWN
./heat-config-ansible/element-deps: *No copyright* UNKNOWN
./heat-config-apply-config/README.rst: *No copyright* UNKNOWN
./heat-config-apply-config/element-deps: *No copyright* UNKNOWN
./heat-config-cfn-init/README.rst: *No copyright* UNKNOWN
./heat-config-cfn-init/element-deps: *No copyright* UNKNOWN
./heat-config-chef/README.rst: *No copyright* UNKNOWN
./heat-config-chef/element-deps: *No copyright* UNKNOWN
./heat-config-docker-cmd/README.rst: *No copyright* UNKNOWN
./heat-config-docker-cmd/element-deps: *No copyright* UNKNOWN
./heat-config-docker-compose/README.rst: *No copyright* UNKNOWN
./heat-config-docker-compose/element-deps: *No copyright* UNKNOWN
./heat-config-hiera/README.rst: *No copyright* UNKNOWN
./heat-config-hiera/element-deps: *No copyright* UNKNOWN
./heat-config-json-file/README.rst: *No copyright* UNKNOWN
./heat-config-json-file/element-deps: *No copyright* UNKNOWN
./heat-config-kubelet/README.rst: *No copyright* UNKNOWN
./heat-config-kubelet/element-deps: *No copyright* UNKNOWN
./heat-config-puppet/README.rst: *No copyright* UNKNOWN
./heat-config-puppet/element-deps: *No copyright* UNKNOWN
./heat-config-salt/README.rst: *No copyright* UNKNOWN
./heat-config-salt/element-deps: *No copyright* UNKNOWN
./heat-config-script/README.rst: *No copyright* UNKNOWN
./heat-config-script/element-deps: *No copyright* UNKNOWN
./tests/common.py: *No copyright* Apache (v2.0)
./tests/config-tool-fake.py: *No copyright* Apache (v2.0)
./tests/hook-fake.py: *No copyright* Apache (v2.0)
./tests/test_heat_config.py: *No copyright* Apache (v2.0)
./tests/test_heat_config_docker_compose.py: *No copyright* Apache (v2.0)
./tests/test_heat_config_kubelet.py: *No copyright* Apache (v2.0)
./tests/test_heat_config_notify.py: *No copyright* Apache (v2.0)
./tests/test_hook_ansible.py: Apache (v2.0)
./tests/test_hook_apply_config.py: *No copyright* Apache (v2.0)
./tests/test_hook_cfn_init.py: *No copyright* Apache (v2.0)
./tests/test_hook_chef.py: *No copyright* Apache (v2.0)
./tests/test_hook_docker_cmd.py: *No copyright* Apache (v2.0)
./tests/test_hook_docker_compose.py: *No copyright* Apache (v2.0)
./tests/test_hook_hiera.py: *No copyright* Apache (v2.0)
./tests/test_hook_json_file.py: *No copyright* Apache (v2.0)
./tests/test_hook_kubelet.py: *No copyright* Apache (v2.0)
./tests/test_hook_puppet.py: *No copyright* Apache (v2.0)
./tests/test_hook_salt.py: *No copyright* Apache (v2.0)
./tests/test_hook_script.py: *No copyright* Apache (v2.0)
./heat-config/bin/heat-config-notify: *No copyright* Apache (v2.0)
./heat-config/bin/heat-config-rebuild-deployed: *No copyright* UNKNOWN
./heat-config-ansible/install.d/50-heat-config-hook-ansible: *No copyright* UNKNOWN
./heat-config-ansible/install.d/hook-ansible.py: *No copyright* Apache (v2.0)
./heat-config-apply-config/install.d/50-heat-config-apply-config: *No copyright* UNKNOWN
./heat-config-apply-config/install.d/hook-apply-config.py: *No copyright* Apache (v2.0)
./heat-config-cfn-init/install.d/50-heat-config-hook-cfn-init: *No copyright* UNKNOWN
./heat-config-cfn-init/install.d/hook-cfn-init.py: *No copyright* Apache (v2.0)
./heat-config-chef/install.d/50-heat-config-hook-chef: *No copyright* UNKNOWN
./heat-config-chef/install.d/hook-chef.py: *No copyright* Apache (v2.0)
./heat-config-docker-cmd/install.d/50-heat-config-hook-docker-cmd: *No copyright* UNKNOWN
./heat-config-docker-cmd/install.d/hook-docker-cmd.py: *No copyright* Apache (v2.0)
./heat-config-docker-compose/install.d/50-heat-config-hook-docker-compose: *No copyright* UNKNOWN
./heat-config-docker-compose/install.d/hook-docker-compose.py: *No copyright* Apache (v2.0)
./heat-config-hiera/install.d/50-heat-config-hook-hiera: *No copyright* UNKNOWN
./heat-config-hiera/install.d/hook-hiera.py: *No copyright* Apache (v2.0)
./heat-config-json-file/install.d/50-heat-config-hook-json-file: *No copyright* UNKNOWN
./heat-config-json-file/install.d/hook-json-file.py: *No copyright* Apache (v2.0)
./heat-config-kubelet/extra-data.d/50-docker-images: *No copyright* UNKNOWN
./heat-config-kubelet/install.d/50-heat-config-kubelet: *No copyright* UNKNOWN
./heat-config-kubelet/install.d/hook-kubelet.py: *No copyright* Apache (v2.0)
./heat-config-puppet/install.d/50-heat-config-hook-puppet: *No copyright* UNKNOWN
./heat-config-puppet/install.d/hook-puppet.py: *No copyright* Apache (v2.0)
./heat-config-salt/install.d/50-heat-config-hook-salt: *No copyright* UNKNOWN
./heat-config-salt/install.d/hook-salt.py: *No copyright* Apache (v2.0)
./heat-config-script/install.d/50-heat-config-hook-script: *No copyright* UNKNOWN
./heat-config-script/install.d/hook-script.py: *No copyright* Apache (v2.0)
./heat-config/install.d/heat-config-package-install/50-heat-config-package: *No copyright* UNKNOWN
./heat-config/install.d/heat-config-source-install/50-heat-config-soure: *No copyright* UNKNOWN
./heat-config/os-apply-config/etc/os-collect-config.conf: *No copyright* UNKNOWN
./heat-config/os-refresh-config/configure.d/20-os-apply-config: *No copyright* UNKNOWN
./heat-config/os-refresh-config/configure.d/55-heat-config: *No copyright* Apache (v2.0)
./heat-config-docker-cmd/os-refresh-config/configure.d/50-heat-config-docker-cmd: *No copyright* Apache (v2.0)
./heat-config-docker-compose/os-refresh-config/configure.d/50-heat-config-docker-compose: *No copyright* Apache (v2.0)
./heat-config-kubelet/os-refresh-config/configure.d/50-heat-config-kubelet: *No copyright* Apache (v2.0)
./heat-config/os-apply-config/var/run/heat-config/heat-config: *No copyright* UNKNOWN

Valid license Apache v2.0

Comment 7 Alfredo Moralejo 2017-02-15 16:38:01 UTC
Results of fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 59 files have unknown
     license. Detailed output of licensecheck in /tmp/openstack-heat-
     agents/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/os-apply-config/templates/var,
     /usr/libexec/os-refresh-config, /usr/libexec/os-apply-
     config/templates/etc, /usr/libexec/os-apply-config/templates/var/run
     /heat-config, /usr/libexec/os-apply-config/templates, /usr/libexec/os-
     apply-config, /usr/libexec/os-refresh-config/configure.d, /usr/libexec
     /os-apply-config/templates/var/run
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/os-apply-
     config/templates, /usr/libexec/os-apply-config/templates/var,
     /usr/libexec/os-refresh-config, /usr/libexec/os-apply-config,
     /usr/libexec/os-apply-config/templates/etc, /usr/libexec/os-refresh-
     config/configure.d, /usr/libexec/os-apply-config/templates/var/run
     /heat-config, /usr/libexec/os-apply-config/templates/var/run
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     heat-agent , python-heat-agent-puppet , python-heat-agent-ansible ,
     python-heat-agent-apply-config , python-heat-agent-hiera , python-
     heat-agent-docker-cmd
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     1.0.1.dev2
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: openstack-heat-agents-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-puppet-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-ansible-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-apply-config-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-hiera-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          python-heat-agent-docker-cmd-1.0.1-0.20170215144440.301db11.el7.centos.noarch.rpm
          openstack-heat-agents-1.0.1-0.20170215144440.301db11.el7.centos.src.rpm
openstack-heat-agents.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
openstack-heat-agents.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
openstack-heat-agents.noarch: E: no-changelogname-tag
openstack-heat-agents.noarch: W: obsolete-not-provided openstack-heat-templates
python-heat-agent.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-heat-agent.noarch: E: no-changelogname-tag
python-heat-agent.noarch: W: no-documentation
python-heat-agent.noarch: E: wrong-script-interpreter /usr/libexec/os-refresh-config/configure.d/55-heat-config /usr/bin/env python
python-heat-agent.noarch: E: non-readable /usr/libexec/os-apply-config/templates/var/run/heat-config/heat-config 600
python-heat-agent.noarch: E: wrong-script-interpreter /usr/bin/heat-config-notify /usr/bin/env python
python-heat-agent.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/script /usr/bin/env python
python-heat-agent.noarch: E: non-readable /usr/libexec/os-apply-config/templates/etc/os-collect-config.conf 600
python-heat-agent.noarch: W: no-manual-page-for-binary heat-config-rebuild-deployed
python-heat-agent.noarch: W: no-manual-page-for-binary heat-config-notify
python-heat-agent-puppet.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent-puppet.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-heat-agent-puppet.noarch: E: no-changelogname-tag
python-heat-agent-puppet.noarch: W: no-documentation
python-heat-agent-puppet.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/puppet /usr/bin/env python
python-heat-agent-ansible.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent-ansible.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-heat-agent-ansible.noarch: E: no-changelogname-tag
python-heat-agent-ansible.noarch: W: no-documentation
python-heat-agent-ansible.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/ansible /usr/bin/env python
python-heat-agent-apply-config.noarch: W: spelling-error Summary(en_US) os -> OS, och, so
python-heat-agent-apply-config.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent-apply-config.noarch: E: no-changelogname-tag
python-heat-agent-apply-config.noarch: W: no-documentation
python-heat-agent-apply-config.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/apply-config /usr/bin/env python
python-heat-agent-hiera.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent-hiera.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-heat-agent-hiera.noarch: E: no-changelogname-tag
python-heat-agent-hiera.noarch: W: no-documentation
python-heat-agent-hiera.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/hiera /usr/bin/env python
python-heat-agent-docker-cmd.noarch: W: spelling-error %description -l en_US os -> OS, och, so
python-heat-agent-docker-cmd.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
python-heat-agent-docker-cmd.noarch: E: no-changelogname-tag
python-heat-agent-docker-cmd.noarch: W: no-documentation
python-heat-agent-docker-cmd.noarch: E: wrong-script-interpreter /usr/libexec/os-refresh-config/configure.d/50-heat-config-docker-cmd /usr/bin/env python
python-heat-agent-docker-cmd.noarch: E: wrong-script-interpreter /usr/libexec/heat-config/hooks/docker-cmd /usr/bin/env python
openstack-heat-agents.src: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
openstack-heat-agents.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
openstack-heat-agents.src: E: no-changelogname-tag
openstack-heat-agents.src: W: invalid-url Source0: heat-agents-1.0.1.dev2-0.20170215144440.301db11.tar.gz
8 packages and 0 specfiles checked; 19 errors, 26 warnings.




Rpmlint (installed packages)
----------------------------
python-heat-agent-apply-config.noarch: E: no-changelogname-tag
python-heat-agent-apply-config.noarch: W: no-documentation
openstack-heat-agents.noarch: E: no-changelogname-tag
openstack-heat-agents.noarch: W: obsolete-not-provided openstack-heat-templates
python-heat-agent-docker-cmd.noarch: E: no-changelogname-tag
python-heat-agent-docker-cmd.noarch: W: no-documentation
python-heat-agent-hiera.noarch: E: no-changelogname-tag
python-heat-agent-hiera.noarch: W: no-documentation
python-heat-agent-puppet.noarch: E: no-changelogname-tag
python-heat-agent-puppet.noarch: W: no-documentation
python-heat-agent.noarch: E: no-changelogname-tag
python-heat-agent.noarch: W: no-documentation
python-heat-agent.noarch: E: non-readable /usr/libexec/os-apply-config/templates/var/run/heat-config/heat-config 0600L
python-heat-agent.noarch: E: non-readable /usr/libexec/os-apply-config/templates/etc/os-collect-config.conf 0600L
python-heat-agent.noarch: W: no-manual-page-for-binary heat-config-notify
python-heat-agent.noarch: W: no-manual-page-for-binary heat-config-rebuild-deployed
python-heat-agent-ansible.noarch: E: no-changelogname-tag
python-heat-agent-ansible.noarch: W: no-documentation
7 packages and 0 specfiles checked; 9 errors, 9 warnings.



Requires
--------
python-heat-agent-apply-config (rpmlib, GLIBC filtered):
    /usr/bin/env
    os-apply-config
    python-heat-agent

openstack-heat-agents (rpmlib, GLIBC filtered):
    python-heat-agent
    python-heat-agent-ansible
    python-heat-agent-apply-config
    python-heat-agent-docker-cmd
    python-heat-agent-hiera
    python-heat-agent-puppet

python-heat-agent-docker-cmd (rpmlib, GLIBC filtered):
    /usr/bin/env
    docker
    python-heat-agent

python-heat-agent-hiera (rpmlib, GLIBC filtered):
    /usr/bin/env
    python-heat-agent

python-heat-agent-puppet (rpmlib, GLIBC filtered):
    /usr/bin/env
    puppet
    python-heat-agent

python-heat-agent (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    dib-utils
    heat-cfntools
    os-apply-config
    os-collect-config
    os-refresh-config
    python-heatclient
    python-zaqarclient

python-heat-agent-ansible (rpmlib, GLIBC filtered):
    /usr/bin/env
    ansible
    python-heat-agent



Provides
--------
python-heat-agent-apply-config:
    python-heat-agent-apply-config

openstack-heat-agents:
    openstack-heat-agents

python-heat-agent-docker-cmd:
    python-heat-agent-docker-cmd

python-heat-agent-hiera:
    python-heat-agent-hiera

python-heat-agent-puppet:
    python-heat-agent-puppet

python-heat-agent:
    python-heat-agent

python-heat-agent-ansible:
    python-heat-agent-ansible



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1414051
Buildroot used: dlrn-centos-ocata-x86_64-1
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Alfredo Moralejo 2017-02-15 18:37:46 UTC
Some comments about fedora-review rpmlint errors:

- Use of /usr/bin/env is not recomended as interpreter in shebang line (https://fedoraproject.org/wiki/Script_Interpreters_(draft)). It's recommended to change it in upstream project.
- changelog doesn't exist as this spec has been created for DLRN.
- Some files are marked as non-readable with 600. This is appropriate in this case for security reasons.

Package doesn't execute tests in %check section. As this package is a rename of previous openstack-heat-templates one, we want to keep it as close as possible to previous one but it's recommended to add unit tests execution in %check as follow up request.

This package is approved.


Note You need to log in before you can comment on or make changes to this bug.